commit 5718b29d382b5869f371ff59cecbacac3df6b67e
Author: leszek <leszek@koltunski.pl>
Date:   Fri Dec 13 11:24:20 2024 +0100

    Carve out another, 2nd layer from TwistyObject: everything related to creating its Mesh.

diff --git a/src/main/java/org/distorted/objectlib/helpers/ObjectShape.java b/src/main/java/org/distorted/objectlib/helpers/ObjectShape.java
index f6eee2bf..11246376 100644
--- a/src/main/java/org/distorted/objectlib/helpers/ObjectShape.java
+++ b/src/main/java/org/distorted/objectlib/helpers/ObjectShape.java
@@ -12,7 +12,7 @@ package org.distorted.objectlib.helpers;
 import org.distorted.library.helpers.QuatHelper;
 import org.distorted.library.type.Static3D;
 import org.distorted.library.type.Static4D;
-import org.distorted.objectlib.main.TwistyObject;
+import org.distorted.objectlib.main.TwistyObjectWithMesh;
 
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
@@ -121,56 +121,11 @@ public class ObjectShape
 
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
-  public int getNumFaces()
-    {
-    return mNumFaces;
-    }
-
-///////////////////////////////////////////////////////////////////////////////////////////////////
-
-  public boolean isMultigon()
-    {
-    return mFacesMultigon;
-    }
-
-///////////////////////////////////////////////////////////////////////////////////////////////////
-
-  public float[][] getVertices()
-    {
-    return mVertices;
-    }
-
-///////////////////////////////////////////////////////////////////////////////////////////////////
-
-  public int[][] getVertIndices()
-    {
-    return mVertIndices;
-    }
-
-///////////////////////////////////////////////////////////////////////////////////////////////////
-
-  public int[][][] getMultigonIndices()
-    {
-    return mMultigonIndices;
-    }
-
-///////////////////////////////////////////////////////////////////////////////////////////////////
-
-  public float[] getFirstVertexInFace(int face)
-    {
-    if( mFacesMultigon )
-      {
-      int[][][] indices=getMultigonIndices();
-      int vertIndex=indices[face][0][0];
-      return getVertices()[vertIndex];
-      }
-    else
-      {
-      int[][] indices=getVertIndices();
-      int vertIndex=indices[face][0];
-      return getVertices()[vertIndex];
-      }
-    }
+  public int getNumFaces()               { return mNumFaces; }
+  public boolean isMultigon()            { return mFacesMultigon; }
+  public float[][] getVertices()         { return mVertices; }
+  public int[][] getVertIndices()        { return mVertIndices; }
+  public int[][][] getMultigonIndices()  { return mMultigonIndices; }
 
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
@@ -375,7 +330,7 @@ public class ObjectShape
 
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
-  public static int[][] computeColors(ObjectShape[] shapes, float[][] moves, Static4D[] quats, TwistyObject object)
+  public static int[][] computeColors(ObjectShape[] shapes, float[][] moves, Static4D[] quats, TwistyObjectWithMesh object)
     {
     int numCubits = moves.length;
     int[][] colors = new int[numCubits][];
